﻿//layui.define(["form", "jquery"], function (exports) {
//    var form = layui.form,
//        $ = layui.jquery
//    form.on('select(i_code_id_open)', function (data) {
//        _countrySelOpen.uninit();
//        var value = data.value;
//        _countrySelOpen.getSecondCode(value);
//        $("#i_code_secondid_open").empty();
//        form.render();
//    });
//    form.render();
//});
$(function () {
    $("#i_code_id_open").change(function () {
        _countrySelOpen.uninit();
        $("#i_code_secondid_open").empty();
        var value = $("#i_code_id_open").val();
        _countrySelOpen.getSecondCode(value);
        
    });
});


var _countrySelOpen = {
    getCode: null,//获取大类
    getSecondCode: null,
    init: null,//初始化
    uninit: null,//去掉初始化
    cfirst: 0,
    csecond: 0
}


_countrySelOpen.init = function ( cfirst, csecond) {
    _countrySelOpen.cfirst = cfirst;
    _countrySelOpen.csecond = csecond;

    _countrySelOpen.getCode();
    if (cfirst != '') {
        _countrySelOpen.getSecondCode(cfirst);
    }
    
}
_countrySelOpen.uninit = function () {
    _countrySelOpen.cfirst = 0;
    _countrySelOpen.csecond = 0;
}


_countrySelOpen.getCode = function () {
    var obj = $("#i_code_id_open");
    $.ajax({
        type: "POST",
        url: "/Api/getWasteCode",
        data: {},
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="0" ' + (_countrySelOpen.cfirst == 0 ? "selected" : "") + '>请选择</option>';
                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _countrySelOpen.cfirst ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }

    });

}

_countrySelOpen.getSecondCode = function (Ids) {
    var obj = $("#i_code_secondid_open");
    $.ajax({
        type: "POST",
        url: "/Api/getWasteSecondCode",
        data: { i_wc_identifier: Ids },
        dataType: "json",
        async: false,
        success: function (r) {         
            if (r && r.success) {             
                obj.empty();
                var html = '';
                html += '<option value="0" ' + (_countrySelOpen.csecond == 0 ? "selected" : "") + '>请选择</option>';

                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _countrySelOpen.csecond ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }
    });
}
